cmd中使用pip install scrapy安装时出现错误


捕获.PNG

具体问题如图所示,应该是twisted的问题,不知道怎么解决

Robin_TY - PhD@CSU,研究方向:计算机视觉,模式识别

赞同来自: fish Maximus JackyYang91

不是twisted的问题,是课上说的需要安装Microsoft Visual C++ Build Tools,下载链接就在那个错误信息里。

yfman

赞同来自: 黄曼巴

我按照上面链接安装了VC++ 14.0, 还是报同样的错误,请问老师是什么原因? @Robin_TY  

黄曼巴

赞同来自: Maximus

我按照那个链接下载安装了vc2015,就可以了

yfman

赞同来自:

我发现只有是用Aconda安装的python, 就有这个问题。如果单独装python3.5, 然后用pip安装scrapy没有这个问题。请问老师还有什么解决方案吗? @Robin_TY

feng1990liu

赞同来自:

这个提示呢?还是scrapy安装不上  tool已装  python 版本3.6  conda 自带

要回复问题请先登录注册